org.eclipse.actf.visualization.eval

## Interface IEvaluationResult

All Superinterfaces:
  IACTFReport

All Known Implementing Classes:
  EvaluationResultBlind, EvaluationResultImpl

    public interface IEvaluationResult
    extends IACTFReport

Interface for evaluation result information

See Also:
  `IACTFReport`

### Method Summary

Methods
`void` `accept(IProblemItemVisitor visitor)` Accept `IProblemItemVisitor`.
`boolean` `addAssociateFile(File target)` Add File to evaluation result for future use
`void` `addProblemItems(Collection<IProblemItem> c)` Add problem items into current list
`void` `addProblemItems(IProblemItem[] items)` Add problem items into current list
`File[]` `getAssociateFiles()` Get associated `File`
`org.eclipse.swt.custom.LineStyleListener` `getLineStyleListener()` Get `LineStyleListener` to be used to determine style of evaluation summary.
`List<IProblemItem>` `getProblemList()` Get current problem item list
`File` `getSourceFile()` Get evaluation target (source) as File
`String` `getSummaryReportText()` Get summary text of evaluation
`String` `getSummaryReportUrl()` Get URL of summary report file
`String` `getTargetUrl()` Get URL of evaluation target
`boolean` `isShowAllGuidelineItems()` Check if non-selected guideline item will be shown in the result view
`boolean` `removeAssociatedFile(File target)` Remove File from evaluation result
`void` `setLineStyleListener(org.eclipse.swt.custom.LineStyleListener lsl)` Set `LineStyleListener` to be used to determine style of evaluation summary.
`void` `setProblemList(List<IProblemItem> problemList)` Set detected problem item list
`void` `setShowAllGuidelineItems(boolean b)` Set flag to show non-selected guideline item in the result view
`void` `setSourceFile(File sourceFile)` Set evaluation target (source) as File
`void` `setSummaryReportText(String summaryReportText)` Set summary text of evaluation
`void` `setSummaryReportUrl(String reportUrl)` Set URL of summary report file
`void` `setTargetUrl(String targetUrl)` Set URL of evaluation target

### Method Detail

#### setProblemList

    void setProblemList(List<IProblemItem> problemList)

Set detected problem item list

Parameters:
  `problemList` - target problem item list

#### addProblemItems

    void addProblemItems(Collection<IProblemItem> c)

Add problem items into current list

Parameters:
  `c` - target problem item collection to add

#### addProblemItems

    void addProblemItems(IProblemItem[] items)

Add problem items into current list

Parameters:
  `items` - target problem item array to add

#### getProblemList

    List<IProblemItem> getProblemList()

Get current problem item list

Returns:
  problem item list

#### setSummaryReportText

    void setSummaryReportText(String summaryReportText)

Set summary text of evaluation

Parameters:
  `summaryReportText` - summary of evaluation

#### getSummaryReportText

    String getSummaryReportText()

Get summary text of evaluation

Returns:
  summary of evaluation

#### getSummaryReportUrl

    String getSummaryReportUrl()

Get URL of summary report file

Returns:
  URL of summary report

#### setSummaryReportUrl

    void setSummaryReportUrl(String reportUrl)

Set URL of summary report file

Parameters:
  `reportUrl` - URL of summary report

#### accept

    void accept(IProblemItemVisitor visitor)

Accept `IProblemItemVisitor`. This method can be used to export problem list, filter some problem items, etc.

Parameters:
  `visitor` - target `IProblemItemVisitor` to accept

#### getTargetUrl

    String getTargetUrl()

Get URL of evaluation target

Returns:
  URL of evaluation target

#### setTargetUrl

    void setTargetUrl(String targetUrl)

Set URL of evaluation target

Parameters:
  `targetUrl` - URL of evaluation target

#### getSourceFile

    File getSourceFile()

Get evaluation target (source) as File

Returns:
  target source `File`

#### setSourceFile

    void setSourceFile(File sourceFile)

Set evaluation target (source) as File

Parameters:
  `sourceFile` - target source `File`

#### isShowAllGuidelineItems

    boolean isShowAllGuidelineItems()

Check if non-selected guideline item will be shown in the result view

Returns:
  true if need to show all guideline item

#### setShowAllGuidelineItems

    void setShowAllGuidelineItems(boolean b)

Set flag to show non-selected guideline item in the result view

Parameters:
  `b` - true to show all guideline item in the result view

#### setLineStyleListener

    void setLineStyleListener(org.eclipse.swt.custom.LineStyleListener lsl)

Set `LineStyleListener` to be used to determine style of evaluation summary.

Parameters:
  `lsl` - target `LineStyleListener`

#### getLineStyleListener

    org.eclipse.swt.custom.LineStyleListener getLineStyleListener()

Get `LineStyleListener` to be used to determine style of evaluation summary.

Returns:
  `LineStyleListener`

#### addAssociateFile

    boolean addAssociateFile(File target)

Add File to evaluation result for future use

Parameters:
  `target` - target File
Returns:
  true, if the target File is successfully added

#### removeAssociatedFile

    boolean removeAssociatedFile(File target)

Remove File from evaluation result

Parameters:
  `target` - target File
Returns:
  true, if the target File is successfully removed

#### getAssociateFiles

    File[] getAssociateFiles()

Get associated `File`

Returns:
  array of associated `File`